%define tiquitdir %{_datadir}/tiquit
Name: tiquit
Version:  2.5.1.1
Release:  9%{?dist}
Summary: A PHP5-compatible help desk incident tracking/knowledgebase system

Group: Applications/System         
License: GPLv2+        
URL: http://tiquit.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: tiquit.conf
Source2: tiquit-README.fedora
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires: php, php-gd

%description
Tiquit offers email notification, parent/child tickets, and
comprehensive search and reporting functionality

%prep

%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{tiquitdir}
cp -pr *.php *.png *.sql *.css %{buildroot}%{tiquitdir}
mkdir -p %{buildroot}%{_sysconfdir}/httpd
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cp -pr %SOURCE1 %{buildroot}%{_sysconfdir}/httpd/conf.d
mkdir -p %{buildroot}%{_sysconfdir}/tiquit
mv %{buildroot}%{tiquitdir}/config.php %{buildroot}%{_sysconfdir}/tiquit
ln -s ../../..%{_sysconfdir}/tiquit/config.php %{buildroot}%{tiquitdir}/config.php
mkdir -p %{buildroot}%{_docdir}
cp -pr %SOURCE2 .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL COPYING tiquit-README.fedora
%{tiquitdir}
%dir %{_sysconfdir}/tiquit/
%config(noreplace) %{_sysconfdir}/tiquit/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/tiquit.conf

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 08 2014 Jon Ciesla <limburgher@gmail.com> - 2.5.1.1-8
- Fix Doc URL in README, BZ 1049978.
- Fix bad date.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Jon Ciesla <limburgher@gmail.com> - 2.5.1.1-5
- Fix conf.

* Tue Oct 30 2012 Jon Ciesla <limburgher@gmail.com> - 2.5.1.1-4
- Fix for httpd 2.4, BZ 871490.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Jon Ciesla <limburgher@gmail.com> - 2.5.1.1-1
- Updated support location.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 24 2008 Jon Ciesla <limb@jcomserv.net> - 2.5.1-1
- New upstream, BZ 452747.

* Wed Nov 28 2007 Jon Ciesla <limb@jcomserv.net> - 2.5-1
- New upstream, fixes missing field bug.

* Fri Oct 05 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-6
- Fixed BADSOURCE.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-5
- License tag correction.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-4
- Removed duplicate slash in symlink creation.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-3
- Fixed README.fedora handling.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-2
- Fixed Source0, PHP Requires.
- Added tiquit-README.fedora

* Thu Jan 18 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-1
- Initial packaging.
